0

环境:
SUSE Enterprise
apache是通过yast安装的

yast2 --install apache2

我想再编译安装php,但是编译安装的时候,--with-apxs2的路径不知道在哪里

Libo 1.4k
2012-09-13 提问
3 个回答
1

已采纳

你试试 find / -name apxs2,如果找不到,再试试find / -name apxs,我在CentOS上试了下,apxs2没有找到,apxs倒是找到了,如果找到的是apxs,编译时换成--with-apxs=apxs的路径试试

你也可以用which这个命令来找,比如:which apxs或which apxs2

Linux上的几种查找命令,可以看看该文章:http://www.ithr.org.cn/blogs/blog1.ph...

2

印象中这货是apache2.x带的apxs。因为是apache2.x,所以php那儿叫apxs2。

这货应该是在apache的bin目录下。如果用yum安装的话,应当是在 /usr/bin 或者 /usr/local/bin 下面。使用which或者where来查找一下就行了。

0

楼主问题解决没,我今天也遇到了,不过现在解决了

该答案已被忽略,原因:无意义的内容:赞、顶、同问等毫无意义的内容,不符合答题规范:内容不是答案,可用评论、投票替代

撰写答案

推广链接